%global srcname util

Name:           nodejs-%{srcname}
Version:        0.10.4
Release:        1%{?dist}
Summary:        Node.JS util module
License:        MIT
URL:            https://github.com/browserify/node-util
Source0:        http://registry.npmjs.org/%{srcname}/-/%{srcname}-%{version}.tgz
# Created with:
# $ git clone %%{url} && cd node-util && git checkout v%%{version}
# $ npm install --save-dev
# $ git archive -o %%{SOURCE1} HEAD -- test/
# $ tar -czf %%{SOURCE2} node_modules/
Source1:        %{srcname}-%{version}-test.tar.gz
Source2:        %{srcname}-%{version}-node_modules.tar.gz

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  nodejs-packaging
BuildRequires:  nodejs(engine)


%description
%{summary}.

%prep
%autosetup -n package
tar -xzf %{SOURCE1}
tar -xzf %{SOURCE2}


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{srcname}
cp -pr package.json util.js support/ %{buildroot}%{nodejs_sitelib}/%{srcname}

%nodejs_symlink_deps


%check
%nodejs_symlink_deps --check
%{__nodejs} test/node/*.js


%files
%doc README.md LICENSE
%{nodejs_sitelib}/%{srcname}


%changelog
* Fri Aug 21 2020 Jan Staněk <jstanek@redhat.com> - 0.10.4-1
- Upgrade to 0.10.4
- Cache development dependencies

* Tue Jul 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.10.3-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Wed Jan 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.10.3-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.10.3-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.10.3-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.10.3-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.10.3-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.10.3-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.10.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.10.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Dec 13 2014 Piotr Popieluch <piotr1212@gmail.com> - 0.10.3-2
- fixdep nodejs-inherits, 2.0.1 is not available on < fc20

* Tue Nov 18 2014 Piotr Popieluch <piotr1212@gmail.com> - 0.10.3-1
- Initial package
